diff --git a/source/Exporters/ChatExporterHtml.cpp b/source/Exporters/ChatExporterHtml.cpp
index 2d1bcbf..312e5e1 100644
--- a/source/Exporters/ChatExporterHtml.cpp
+++ b/source/Exporters/ChatExporterHtml.cpp
@@ -55,7 +55,7 @@ std::string ChatExporterHtml::buildMessages(WhatsappChat &chat, std::set<int> &u
 			{
 				if (message.isLink())
 				{
-					if (message.getLinkThumbnail() != NULL && message.getLinkThumbnailSize() > 0)
+					if (message.hasLinkThumbnail())
 					{
 						output << "<div><img src=\"data:image/jpeg;base64," << base64_encode(message.getLinkThumbnail(), message.getLinkThumbnailSize()) << "\"></div>" << std::endl;
 					}
diff --git a/source/Exporters/ChatExporterJson.cpp b/source/Exporters/ChatExporterJson.cpp
index 6e87922..7e7fee5 100644
--- a/source/Exporters/ChatExporterJson.cpp
+++ b/source/Exporters/ChatExporterJson.cpp
@@ -70,7 +70,7 @@ void ChatExporterJson::exportChat(WhatsappChat &chat, const std::string &filenam
 					{
 						messageJson.AddMember("caption", message.getMediaCaption(), json.GetAllocator());
 					}
-					if (message.getLinkThumbnail() != NULL && message.getLinkThumbnailSize() > 0)
+					if (message.hasLinkThumbnail())
 					{
 						messageJson.AddMember("image", base64_encode(message.getLinkThumbnail(), message.getLinkThumbnailSize()), json.GetAllocator());
 					}
diff --git a/source/WhatsApp/Message.cpp b/source/WhatsApp/Message.cpp
index 73cca6d..6c67b1a 100644
--- a/source/WhatsApp/Message.cpp
+++ b/source/WhatsApp/Message.cpp
@@ -112,6 +112,11 @@ int WhatsappMessage::getThumbnailSize()
 	return thumbnailDataSize;
 }
 
+bool WhatsappMessage::hasLinkThumbnail()
+{
+	return getLinkThumbnail() != NULL;
+}
+
 unsigned char *WhatsappMessage::getLinkThumbnail()
 {
 	if (!link || thumbImage == NULL)
diff --git a/source/WhatsApp/Message.h b/source/WhatsApp/Message.h
index fd6c57c..797163c 100644
--- a/source/WhatsApp/Message.h
+++ b/source/WhatsApp/Message.h
@@ -72,6 +72,7 @@ class WhatsappMessage
 	unsigned char *getThumbnail();
 	int getThumbnailSize();
 
+	bool hasLinkThumbnail();
 	unsigned char *getLinkThumbnail();
 	int getLinkThumbnailSize();
 
